Bug 176275 - relocation of ext2/3 NFS service will cause client I/O to fail
relocation of ext2/3 NFS service will cause client I/O to fail
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 14:44 EST by Corey Marthaler
Modified: 2009-04-16 16:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 11:48:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-12-20 14:44:07 EST
Description of problem:
I had an EXT/NFS service running on taft-03 and a NFS client doing I/O to that
service on joynter. I then successfully relocated that service to taft-02 and
that caused I/O errors on the client.

[root@taft-02 ~]# clusvcadm -r EXT10 -m taft-02
Trying to relocate EXT10 to taft-02...success

Version-Release number of selected component (if applicable):
[root@taft-02 ~]# rpm -q rgmanager
rgmanager-1.9.44-0


How reproducible:
everytime

Additional info:
Here's my .conf file...
<?xml version="1.0"?>
<cluster config_version="19" name="TAFT234_CLUSTER">
        <cman/>
        <clusternodes>
                <clusternode name="taft-02">
                        <fence>
                                <method name="1">
                                        <device name="apc1" port="6" switch="2"/>
                                </method>
                        </fence>
                </clusternode>
                <clusternode name="taft-03">
                        <fence>
                                <method name="1">
                                        <device name="apc1" port="7" switch="2"/>
                                </method>
                        </fence>
                </clusternode>
                <clusternode name="taft-04">
                        <fence>
                                <method name="1">
                                        <device name="apc1" port="8" switch="2"/>
                                </method>
                        </fence>
                </clusternode>
                <clusternode name="taft-01" votes="1">
                        <fence>
                                <method name="1">
                                        <device name="apc1" port="5" switch="2"/>
                                </method>
                        </fence>
                </clusternode>
        </clusternodes>
        <fence_daemon clean_start="0" post_fail_delay="30" post_join_delay="30"/>
        <fencedevices>
                <fencedevice agent="fence_apc" ipaddr="link-apc" login="apc"
name="apc1" passwd="apc"/>
        </fencedevices>
        <rm log_facility="local4" log_level="7">
                <failoverdomains>
                        <failoverdomain name="ALL" ordered="0" restricted="0">
                                <failoverdomainnode name="taft-02" priority="1"/>
                                <failoverdomainnode name="taft-03" priority="1"/>
                                <failoverdomainnode name="taft-04" priority="1"/>
                                <failoverdomainnode name="taft-01" priority="1"/>
                        </failoverdomain>
                </failoverdomains>
                <resources>
                        <nfsexport name="nfs exports"/>
                        <nfsclient name="joynter" options="rw"
target="joynter.lab.msp.redhat.com"/>
                        <script file="/usr/tests/sts/rgmanager/bin/logman"
name="logman"/>
                        <ip address="10.15.84.97" monitor_link="1"/>
                        <ip address="10.15.84.90" monitor_link="1"/>
                        <clusterfs device="/dev/taft/taft0" force_unmount="0"
fsid="100" fstype="gfs" mountpoint="/mnt/taft0" name="taft0" options=""/>
                        <clusterfs device="/dev/taft/taft1" force_unmount="0"
fsid="101" fstype="gfs" mountpoint="/mnt/taft1" name="taft1" options=""/>
                        <clusterfs device="/dev/taft/taft2" force_unmount="0"
fsid="102" fstype="gfs" mountpoint="/mnt/taft2" name="taft2" options=""/>
                        <clusterfs device="/dev/taft/taft3" force_unmount="0"
fsid="103" fstype="gfs" mountpoint="/mnt/taft3" name="taft3" options=""/>
                        <clusterfs device="/dev/taft/taft4" force_unmount="0"
fsid="104" fstype="gfs" mountpoint="/mnt/taft4" name="taft4" options=""/>
                        <clusterfs device="/dev/taft/taft5" force_unmount="0"
fsid="105" fstype="gfs" mountpoint="/mnt/taft5" name="taft5" options=""/>
                        <clusterfs device="/dev/taft/taft6" force_unmount="0"
fsid="106" fstype="gfs" mountpoint="/mnt/taft6" name="taft6" options=""/>
                        <clusterfs device="/dev/taft/taft7" force_unmount="0"
fsid="107" fstype="gfs" mountpoint="/mnt/taft7" name="taft7" options=""/>
                        <clusterfs device="/dev/taft/taft8" force_unmount="0"
fsid="108" fstype="gfs" mountpoint="/mnt/taft8" name="taft8" options=""/>
                        <clusterfs device="/dev/taft/taft9" force_unmount="0"
fsid="109" fstype="gfs" mountpoint="/mnt/taft9" name="taft9" options=""/>
                        <fs device="/dev/taft/taft10" force_unmount="0"
fsid="110" fstype="ext2" mountpoint="/mnt/taft10" name="taft10" options=""/>
                        <fs device="/dev/taft/taft11" force_unmount="0"
fsid="111" fstype="ext2" mountpoint="/mnt/taft11" name="taft11" options=""/>
                        <fs device="/dev/taft/taft12" force_unmount="0"
fsid="112" fstype="ext2" mountpoint="/mnt/taft12" name="taft12" options=""/>
                        <fs device="/dev/taft/taft13" force_unmount="0"
fsid="113" fstype="ext2" mountpoint="/mnt/taft13" name="taft13" options=""/>
                        <fs device="/dev/taft/taft14" force_unmount="0"
fsid="114" fstype="ext2" mountpoint="/mnt/taft14" name="taft14" options=""/>
                </resources>
                <service autostart="1" domain="ALL" name="GFS0">
                        <clusterfs ref="taft0">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.97"/>
                </service>
                <service autostart="1" domain="ALL" name="GFS1">
                        <clusterfs ref="taft1">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.97"/>
                </service>
                <service autostart="1" domain="ALL" name="GFS2">
                        <clusterfs ref="taft2">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.97"/>
                </service>
                <service autostart="1" domain="ALL" name="GFS3">
                        <clusterfs ref="taft3">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.97"/>
                </service>
                <service autostart="1" domain="ALL" name="GFS4">
                        <clusterfs ref="taft4">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.97"/>
                </service>
                <service autostart="1" domain="ALL" name="GFS5">
                        <clusterfs ref="taft5">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.90"/>
                </service>
                <service autostart="1" domain="ALL" name="GFS6">
                        <clusterfs ref="taft6">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.90"/>
                </service>
                <service autostart="1" domain="ALL" name="GFS7">
                        <clusterfs ref="taft7">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.90"/>
                </service>
                <service autostart="1" domain="ALL" name="GFS8">
                        <clusterfs ref="taft8">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.90"/>
                </service>
                <service autostart="1" domain="ALL" name="GFS9">
                        <clusterfs ref="taft9">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </clusterfs>
                        <ip ref="10.15.84.90"/>
                </service>
                <service autostart="1" domain="ALL" name="EXT10">
                        <fs ref="taft10">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </fs>
                        <ip ref="10.15.84.90"/>
                </service>
                <service autostart="1" domain="ALL" name="EXT11">
                        <fs ref="taft11">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </fs>
                        <ip ref="10.15.84.90"/>
                </service>
                <service autostart="1" domain="ALL" name="EXT12">
                        <fs ref="taft12">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </fs>
                        <ip ref="10.15.84.90"/>
                </service>
                <service autostart="1" domain="ALL" name="EXT13">
                        <fs ref="taft13">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </fs>
                        <ip ref="10.15.84.97"/>
                </service>
                <service autostart="1" domain="ALL" name="EXT14">
                        <fs ref="taft14">
                                <nfsexport ref="nfs exports">
                                        <nfsclient ref="joynter"/>
                                </nfsexport>
                        </fs>
                        <ip ref="10.15.84.97"/>
                </service>
                <service autostart="1" domain="ALL" name="logman">
                        <script ref="logman"/>
                </service>
        </rm>
</cluster>
Comment 1 Corey Marthaler 2005-12-21 11:48:06 EST
This was user error and bz 176343, closing...

Note You need to log in before you can comment on or make changes to this bug.